> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notte.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# Response

> The :class:`Response <Response>` object, which contains a

server's response to an HTTP request

## Methods

### close

```python theme={null}
close() -> None
```

Releases the connection back to the pool

***

### iter\_content

```python theme={null}
iter_content(chunk_size: int | None = 1, decode_unicode: bool = False) -> Iterator[str | bytes]
```

Iterates over the response data

**Returns:**

`Iterator[str | bytes]`

***

### iter\_lines

```python theme={null}
iter_lines(chunk_size: int = 512, decode_unicode: bool = False, delimiter: str | bytes | None = None) -> Iterator[str | bytes]
```

Iterates over the response data, one line at a time

**Returns:**

`Iterator[str | bytes]`

***

### json

```python theme={null}
json(kwargs: Any) -> Any
```

Decodes the JSON response body (if any) as a Python object

**Returns:**

`Any`

***

### raise\_for\_status

```python theme={null}
raise_for_status() -> None
```

Raises :class:`HTTPError`, if one occurred

***

## Module

`requests.models`


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.